Subject: Re: [PATCH] net: hp-plus uses eip_poll

From: Randy Dunlap <[email-masked]>
Date: Tue, 25 Nov 2008 22:03:16 -0800

David Miller wrote:
> From: Randy Dunlap <[email-masked]>
> Date: Tue, 25 Nov 2008 21:43:32 -0800
> 
>> David Miller wrote:
>>> From: Randy Dunlap <[email-masked]>
>>> Date: Tue, 25 Nov 2008 19:54:00 -0800
>>>
>>>> From: Randy Dunlap <[email-masked]>
>>>>
>>>> hp-plus uses 8390p.c, so it should use eip_poll(), not ei_poll().
>>>>
>>>> drivers/built-in.o: In function `hpp_probe1':
>>>> hp-plus.c:(.init.text+0x9cbd): undefined reference to `ei_poll'
>>>>
>>>> Signed-off-by: Randy Dunlap <[email-masked]>
>>> I'll apply this to net-2.6
>>>
>>> But can you take a look at what I just pushed out to
>>> net-next-2.6 wrt. this driver and give me a hand untangling
>>> things there?
>>>
>>> Thanks a lot Randy!
>> Looks to me like both of this week's hp-plus patches (one to
>> drivers/net/Makefile & one to drivers/net/hp-plus.c) are
>> still needed there (unless you applied those patches but
>> didn't push or the push isn't showing up yet).
> 
> Ok.  I will need to merge.
> 
> But in net-next-2.6 that ->poll_controller is set in the
> hp-plus.c driver's netdev_ops structure.  That's what I
> wanted you to look at.

OK, it still uses ei_poll instead of eip_poll.
Needs to be changed.

-- 
~Randy